Subject: bug#29918: 26.0.90; serial-term error in process filter

From: Stefan Monnier <[email-masked]>
Date: Sun, 21 Jul 2019 09:52:39 -0400

>>> there is a possibility it prevents correct decoding in case the
>>> terminal receives a utf-8 character in single byte chunks (though
>>> I'm not sure if it's even valid for a program to emit single bytes
>>> like that).
>> I agree.
> I thought of limiting partial to 4, to avoid this possibility, since
> utf-8 characters can be 4 bytes at most (not sure about other encodings
> though).

That sounds like a good idea.

Just a side note to mention that there are other multibyte encodings
than utf-8 and I have no reason to believe that they're never used for
terminals, so we should look for the maximum over all coding-systems
rather than only utf-8.

        Stefan